import request from '@/utils/request'

// 人员分类管理 - 查询列表
export function listPersonCategoryAPI(query) {
    return request({
        url: '/personnelClassification/getClassificationList',
        method: 'GET',
        params: query,
    })
}

// 人员分类管理 - 新增
export function addPersonCategoryAPI(data) {
    return request({
        url: '/personnelClassification/addClassification',
        method: 'POST',
        data,
    })
}

// 人员分类管理 - 修改
export function updatePersonCategoryAPI(data) {
    return request({
        url: '/personnelClassification/updateClassification',
        method: 'POST',
        data,
    })
}

// 人员分类管理 - 删除
export function delPersonCategoryAPI(data) {
    return request({
        url: `/personnelClassification/delClassification`,
        method: 'POST',
        data,
    })
}
